Holger's Java API

## com.antelmann.sql
Class JConnectionLogin

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.antelmann.sql.JConnectionLogin

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public class JConnectionLogin

extends JPanel

a GUI to establish a database connection. This implementation is based on the capabilities of the Connector; in addition it also supports an 'advanced' mode, where the connecting url can directly be specified.

Since:
  16. Oktober 2006, 13:45
Author:
  Holger Antelmann
See Also:
  `Connector`, `Connector.DBType`, `(Connector.DBType, String, String, String, String)`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected Connector` `connector`
`protected JTextField` `dbField`
`protected JComboBox` `dbmsField`
`protected JTextField` `driverField`
`protected JFileField` `fileField`
`protected JCheckBox` `initBox`
`protected JPasswordField` `pwdField`
`protected JTextField` `serverField`
`protected JTabbedPane` `tp`
`protected JTextField` `urlField`
`protected JTextField` `userField`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JConnectionLogin()`
`JConnectionLogin(Connector.DBType dbms, String server, String db, String user, char[] password)`
`JConnectionLogin(Connector.DBType dbms, String server, String db, String user, char[] password, String driverClass, boolean initClass, String url)`
`JConnectionLogin(String driverClass, boolean initClass, String url, String user, char[] password)`

Method Summary
`String` `getDatabase()`
`String` `getDBMS()`
`String` `getDriverClass()`
`boolean` `getInitDriverClass()`
`char[]` `getPassword()`
`String` `getServer()`
`String` `getURL()`
`String` `getUser()`
`boolean` `isStandard()` determines whether the 'standard' panel is used or the 'advanced'
`Connection` `makeConnection()` attempts to create a Connection based on the input fields of this panel
`void` `setDatabase(String db)`
`void` `setDBMS(String dbms)`
`void` `setDriverClass(String driverClass)`
`void` `setInitDriverClass(boolean flag)`
`void` `setPassword(char[] pwd)`
`void` `setServer(String server)`
`void` `setStandard(boolean flag)` if true, the first 'standard' tab is selected; otherwise, the 'advanced' tab is selected
`void` `setURL(String url)`
`void` `setUser(String user)`
`static Connection` `showDialog(String title, Component parent)` returns null if the dialog was canceled
`static Connection` `showDialog(String title, Component parent, Connector.DBType dbms, String server, String db, String user, char[] password)`
`static Connection` `showDialog(String title, Component parent, Connector.DBType dbms, String server, String db, String user, char[] password, String driverClass, boolean initDriver, String url)` returns null if the dialog was canceled
`static Connection` `showDialog(String title, Component parent, String user, char[] password, String driverClass, boolean initDriver, String url)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### connector

    protected Connector connector

### dbmsField

    protected JComboBox dbmsField

### serverField

    protected JTextField serverField

### dbField

    protected JTextField dbField

### userField

    protected JTextField userField

### pwdField

    protected JPasswordField pwdField

### driverField

    protected JTextField driverField

### urlField

    protected JTextField urlField

### initBox

    protected JCheckBox initBox

### fileField

    protected JFileField fileField

### tp

    protected JTabbedPane tp

Constructor Detail

### JConnectionLogin

    public JConnectionLogin()

### JConnectionLogin

    public JConnectionLogin(Connector.DBType dbms,
                            String server,
                            String db,
                            String user,
                            char[] password)

### JConnectionLogin

    public JConnectionLogin(String driverClass,
                            boolean initClass,
                            String url,
                            String user,
                            char[] password)

### JConnectionLogin

    public JConnectionLogin(Connector.DBType dbms,
                            String server,
                            String db,
                            String user,
                            char[] password,
                            String driverClass,
                            boolean initClass,
                            String url)

Method Detail

### getDBMS

    public String getDBMS()

### setDBMS

    public void setDBMS(String dbms)

### getServer

    public String getServer()

### setServer

    public void setServer(String server)

### getDatabase

    public String getDatabase()

### setDatabase

    public void setDatabase(String db)

### getUser

    public String getUser()

### setUser

    public void setUser(String user)

### getPassword

    public char[] getPassword()

### setPassword

    public void setPassword(char[] pwd)

### isStandard

    public boolean isStandard()

  determines whether the 'standard' panel is used or the 'advanced'

### setStandard

    public void setStandard(boolean flag)

  if true, the first 'standard' tab is selected; otherwise, the 'advanced' tab is selected

### getDriverClass

    public String getDriverClass()

### setDriverClass

    public void setDriverClass(String driverClass)

### getURL

    public String getURL()

### setURL

    public void setURL(String url)

### getInitDriverClass

    public boolean getInitDriverClass()

### setInitDriverClass

    public void setInitDriverClass(boolean flag)

### showDialog

    public static Connection showDialog(String title,
                                        Component parent)

  returns null if the dialog was canceled

### showDialog

    public static Connection showDialog(String title,
                                        Component parent,
                                        Connector.DBType dbms,
                                        String server,
                                        String db,
                                        String user,
                                        char[] password)

### showDialog

    public static Connection showDialog(String title,
                                        Component parent,
                                        String user,
                                        char[] password,
                                        String driverClass,
                                        boolean initDriver,
                                        String url)

### showDialog

    public static Connection showDialog(String title,
                                        Component parent,
                                        Connector.DBType dbms,
                                        String server,
                                        String db,
                                        String user,
                                        char[] password,
                                        String driverClass,
                                        boolean initDriver,
                                        String url)

  returns null if the dialog was canceled

### makeConnection

    public Connection makeConnection()
                              throws SQLException,
                                     MalformedURLException

  attempts to create a Connection based on the input fields of this panel

  Throws:
    `SQLException`
    `MalformedURLException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads